/*
 * #%L
 * JRst :: Api
 * 
 * $Id: ContentDirective.java 730 2012-06-29 23:56:47Z tchemit $
 * $HeadURL: http://svn.nuiton.org/svn/jrst/tags/jrst-2.0.1/jrst/src/main/java/org/nuiton/jrst/legacy/directive/ContentDirective.java $
 * %%
 * Copyright (C) 2004 - 2010 CodeLutin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

package org.nuiton.jrst.legacy.directive;

import org.nuiton.jrst.JRSTDirective;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;
import org.dom4j.Node;

/**
 * ContentDirective
 *
 * @author poussin
 * @version $Revision: 730 $
 * 
 * Last update : $Date: 2012-06-30 01:56:47 +0200 (Sat, 30 Jun 2012) $
 * By : $Author: tchemit $
 */
public class ContentDirective implements JRSTDirective {

    /*
     * @see org.nuiton.jrst.JRSTDirective#parse(org.dom4j.Element)
     */
    @Override
    public Node parse(Element e) {
        Element result = DocumentHelper.createElement("topic").addAttribute(
                "value", e.attributeValue("value"));
        result.addAttribute("type", "contents");
        result.setText(e.getText());
        return result;
    }

}